// 设备到期提醒
import request from '../../index'
import type { IListQuery } from '@/views/business/board/equipmentReminder/equipmentReminder-interface'

// 设备到期提醒列表
export function getEquipmentReminderList(data: IListQuery) {
  return request({
    url: `/meter/assets/remindListPage?offset=${data.offset}&limit=${data.limit}`,
    method: 'post',
    data,
  })
}

// 设备到期提醒导出
export function exportEquipmentReminderList(data: IListQuery) {
  return request({
    url: '/meter/assets/exportList',
    method: 'post',
    responseType: 'blob',
    data,
  })
}

// 催办
export function urgeEquipmentReminderList(data: { id: string }) {
  return request({
    url: '/meter/assets/remindWorker',
    method: 'post',
    data,
  })
}

// 固定资产详情
export function getEquipmentReminderDetail(data: object) {
  return request({
    url: '/meter/assets/detail',
    method: 'post',
    data,
  })
}
